Page MenuHomePhabricator

Can't change image caption selection with mouse on Firefox
Closed, ResolvedPublic

Description

Image captions can't be selected in Firefox. The media dialog caption editor still works.

Event Timeline

Esanders created this task.Feb 25 2019, 3:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2019, 3:49 PM

Change 492698 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Allow selection of active nodes within focusable nodes in Firefox

https://gerrit.wikimedia.org/r/492698

Change 492698 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Remove -moz-user-select:none from hack and buttonElement

https://gerrit.wikimedia.org/r/492698

Change 493507 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (226ff19e5)

https://gerrit.wikimedia.org/r/493507

@matmarex/@Esanders: This is still not working for me on Beta cluster for some reason.

Change 493507 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (226ff19e5)

https://gerrit.wikimedia.org/r/493507

Sorry, I moved it to the QA column early – we still needed to merge this patch to update the submodule. Now that it's merged, the fix should be available on the beta cluster now (…soon; I'm not sure how long it takes to be deployed from when the patch is merged).

Cirdan added a subscriber: Cirdan.Mar 4 2019, 8:03 PM
ppelberg closed this task as Resolved.May 10 2019, 1:13 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 10 2019, 1:13 AM